NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | List of all members
NXOpen.Routing.PlacePartBuilder Class Reference

More...

Inheritance diagram for NXOpen.Routing.PlacePartBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe void FinalizePlacement (NXOpen.Routing.CharacteristicList optionalCharx, NXOpen.Routing.CharacteristicList requiredCharx, string name, int layerOption, int layer, bool dfaultOStock)
 Complete the placement operation. More...
 
unsafe bool GetAddPartToActiveRunFlag ()
 Determines whether part being placed has to be added in active run or not. More...
 
unsafe void GetLoadedPartInfo (out NXOpen.TaggedObject loadedPart, out NXOpen.TaggedObject loadedInst)
 Get information about the parts being placed. More...
 
unsafe NXOpen.Vector3d GetScrewSeatAlignmentVector ()
 Gets the alignment vector, primary axis direction for a stock, reducer, elbow, etc. More...
 
unsafe NXOpen.Expression GetScrewSeatAngle ()
 Gets the angle expression to be used for screw seat placement along a placed object. More...
 
unsafe NXOpen.Point3d GetScrewSeatEnd ()
 Gets the point from builder, used in final placement of screw seat. More...
 
unsafe NXOpen.Point3d GetScrewSeatIntersectionPoint ()
 Gets information about the final screw seat position. More...
 
unsafe NXOpen.Expression GetScrewSeatLength ()
 Gets the length expression to be used for screw seat placement along a placed object. More...
 
unsafe void LoadPart (string partNumber)
 Load a part given the input part number. More...
 
unsafe void LoadPart ()
 Load the specified part. More...
 
unsafe void ReplaceLoadedInstance (NXOpen.TaggedObject partInst)
 Replace the builder's part instance with a new instance. More...
 
unsafe void SetActiveLayer (int layerOption, int layer)
 Set the layer for the loaded part. More...
 
unsafe void SetActiveRefSet (string refSet)
 Set the reference set to use for the loaded part. More...
 
unsafe void SetAddPartToActiveRunFlag (bool addPartToActiveRun)
 Set a flag which tells the builder whether the part being placed will be added in active run or not. More...
 
unsafe void SetAttributeHolder (NXOpen.Routing.AttributeHolder attributeHolder)
 Sets Attribute holder in builder, which is user for template attribute assignment. More...
 
unsafe void SetConsiderPorts (bool considerPorts)
 Set a flag which will inform the placement solutions builder to consider ports when computing placement solutions during a replace part operation. More...
 
unsafe void SetItemSelection (int itemSelectionMethod, NXOpen.TaggedObject selectedPartOcc)
 Set a flag which tells the builder from where the part being placed was selected and the tag of the selected part. More...
 
unsafe void SetLoadedPartInfo (NXOpen.TaggedObject loadedPart, NXOpen.TaggedObject loadedInst)
 Get information about the parts being placed. More...
 
unsafe void SetPlacePartOperation (bool replacePart)
 Set a flag which tells the builder whether the part being placed is replacing an existing part in the assembly. More...
 
unsafe void SetScrewSeatAlignmentVector (NXOpen.Vector3d alignVector)
 Sets the alignment vector, primary axis direction for a stock, reducer, elbow, etc. More...
 
unsafe void SetScrewSeatEnd (NXOpen.Point3d point)
 Sets a point in builder, which is required for final placement of screw seat. More...
 
unsafe void SetScrewSeatIntersectionPoint (NXOpen.Point3d intersectionPoint)
 Sets the final position of screw seat. More...
 
unsafe void SetScrewSeatPlacement (NXOpen.TaggedObject startLocation, NXOpen.TaggedObject endLocation, NXOpen.Point3d startPoint, NXOpen.Point3d endPoint, NXOpen.Expression length, NXOpen.Expression angle)
 Sets the input parameters to be used for measurement holder screw seats. More...
 
unsafe void UnloadPart ()
 Update the loaded part with a new placement location and object. More...
 
unsafe void UpdatePlacementObj (NXOpen.TaggedObject placementObj, NXOpen.Point3d placementPos)
 Update the loaded part with a new placement location and object. More...
 
unsafe void UpdateRoutingTemplateAttributes ()
 Updates the Routing Template Attributes to AttributeHolder More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 

Detailed Description

To create a new instance of this class, use NXOpen.Routing.RouteManager.CreatePlacePartBuilderPTS

Created in NX7.5.0

Member Function Documentation

unsafe void NXOpen.Routing.PlacePartBuilder.FinalizePlacement ( NXOpen.Routing.CharacteristicList  optionalCharx,
NXOpen.Routing.CharacteristicList  requiredCharx,
string  name,
int  layerOption,
int  layer,
bool  dfaultOStock 
)
inline

Complete the placement operation.

Created in NX7.5.0

License requirements: routing_base ("Routing Basic")

Parameters
optionalCharxOptional Charx to apply.
requiredCharxRequired Charx to apply.
nameThe component name to apply to the part.
layerOptionThe layer option.
layerThe layer to apply.
dfaultOStockAssign overstock to a fitting when a default is defined.
unsafe bool NXOpen.Routing.PlacePartBuilder.GetAddPartToActiveRunFlag ( )
inline

Determines whether part being placed has to be added in active run or not.

Created in NX10.0.0

License requirements: routing_base ("Routing Basic")

Returns
unsafe void NXOpen.Routing.PlacePartBuilder.GetLoadedPartInfo ( out NXOpen.TaggedObject  loadedPart,
out NXOpen.TaggedObject  loadedInst 
)
inline

Get information about the parts being placed.

Created in NX7.5.0

License requirements: routing_base ("Routing Basic")

Parameters
loadedPartThe PART object of the loaded part.
loadedInstThe Instance object of the loaded part.
unsafe NXOpen.Vector3d NXOpen.Routing.PlacePartBuilder.GetScrewSeatAlignmentVector ( )
inline

Gets the alignment vector, primary axis direction for a stock, reducer, elbow, etc.

along the part the screw seat is placed to align the screw seat. Optional, otherwise an arbitrary vector will be constructed.

Created in NX10.0.0

License requirements: routing_base ("Routing Basic")

Returns
The alignment vector along the part on which screw seat is placed.
unsafe NXOpen.Expression NXOpen.Routing.PlacePartBuilder.GetScrewSeatAngle ( )
inline

Gets the angle expression to be used for screw seat placement along a placed object.

Created in NX10.0.0

License requirements: routing_base ("Routing Basic")

Returns
The angle used for screw seat placement on placed routing object.
unsafe NXOpen.Point3d NXOpen.Routing.PlacePartBuilder.GetScrewSeatEnd ( )
inline

Gets the point from builder, used in final placement of screw seat.

This point is used for creating segemnts / constraints when finally placing the screw seat.

Created in NX8.0.0

License requirements: routing_base ("Routing Basic")

Returns
This is the internal point used in determining final position of screw seat placement.
unsafe NXOpen.Point3d NXOpen.Routing.PlacePartBuilder.GetScrewSeatIntersectionPoint ( )
inline

Gets information about the final screw seat position.

Created in NX8.0.0

License requirements: routing_base ("Routing Basic")

Returns
The final position of screw seat placement.
unsafe NXOpen.Expression NXOpen.Routing.PlacePartBuilder.GetScrewSeatLength ( )
inline

Gets the length expression to be used for screw seat placement along a placed object.

Created in NX10.0.0

License requirements: routing_base ("Routing Basic")

Returns
The length used for screw seat placement on placed routing object.
unsafe void NXOpen.Routing.PlacePartBuilder.LoadPart ( string  partNumber)
inline

Load a part given the input part number.

Created in NX7.5.0

License requirements: routing_base ("Routing Basic")

Parameters
partNumberPart number
unsafe void NXOpen.Routing.PlacePartBuilder.LoadPart ( )
inline

Load the specified part.

Created in NX8.0.0

License requirements: routing_base ("Routing Basic")

unsafe void NXOpen.Routing.PlacePartBuilder.ReplaceLoadedInstance ( NXOpen.TaggedObject  partInst)
inline

Replace the builder's part instance with a new instance.

This is used when the assemblies absolute positioning method is used. It will create it's own part instance and we need make sure the builder has the new one.

Created in NX7.5.0

License requirements: routing_base ("Routing Basic")

Parameters
partInstThe instance object of the loaded part.
unsafe void NXOpen.Routing.PlacePartBuilder.SetActiveLayer ( int  layerOption,
int  layer 
)
inline

Set the layer for the loaded part.

Created in NX7.5.0

License requirements: routing_base ("Routing Basic")

Parameters
layerOptionLayer Option
layerLayer Number
unsafe void NXOpen.Routing.PlacePartBuilder.SetActiveRefSet ( string  refSet)
inline

Set the reference set to use for the loaded part.

Created in NX7.5.0

License requirements: routing_base ("Routing Basic")

Parameters
refSetReference Set Name
unsafe void NXOpen.Routing.PlacePartBuilder.SetAddPartToActiveRunFlag ( bool  addPartToActiveRun)
inline

Set a flag which tells the builder whether the part being placed will be added in active run or not.

Created in NX10.0.0

License requirements: routing_base ("Routing Basic")

Parameters
addPartToActiveRun
unsafe void NXOpen.Routing.PlacePartBuilder.SetAttributeHolder ( NXOpen.Routing.AttributeHolder  attributeHolder)
inline

Sets Attribute holder in builder, which is user for template attribute assignment.

Created in NX8.5.0

License requirements: routing_base ("Routing Basic")

Parameters
attributeHolderObject to hold template attributes
unsafe void NXOpen.Routing.PlacePartBuilder.SetConsiderPorts ( bool  considerPorts)
inline

Set a flag which will inform the placement solutions builder to consider ports when computing placement solutions during a replace part operation.

Setting this to false implies that the first placement solution computed is to maintain the origin and orientation of the part being replaced. Setting this to true implies that the first placement solution computed is to maintain the location of the original part's ports.

Created in NX11.0.1

License requirements: routing_base ("Routing Basic")

Parameters
considerPorts
unsafe void NXOpen.Routing.PlacePartBuilder.SetItemSelection ( int  itemSelectionMethod,
NXOpen.TaggedObject  selectedPartOcc 
)
inline

Set a flag which tells the builder from where the part being placed was selected and the tag of the selected part.

Created in NX11.0.0

License requirements: routing_base ("Routing Basic")

Parameters
itemSelectionMethodThe enum representing the way of selection of part to be placed.
selectedPartOccThe tag of the part occurrence selected from specify item dialog.
unsafe void NXOpen.Routing.PlacePartBuilder.SetLoadedPartInfo ( NXOpen.TaggedObject  loadedPart,
NXOpen.TaggedObject  loadedInst 
)
inline

Get information about the parts being placed.

Created in NX7.5.0

License requirements: routing_base ("Routing Basic")

Parameters
loadedPartThe PART object of the loaded part.
loadedInstThe Instance object of the loaded part.
unsafe void NXOpen.Routing.PlacePartBuilder.SetPlacePartOperation ( bool  replacePart)
inline

Set a flag which tells the builder whether the part being placed is replacing an existing part in the assembly.

Created in NX8.0.0

License requirements: routing_base ("Routing Basic")

Parameters
replacePartTrue if replace part operation.
unsafe void NXOpen.Routing.PlacePartBuilder.SetScrewSeatAlignmentVector ( NXOpen.Vector3d  alignVector)
inline

Sets the alignment vector, primary axis direction for a stock, reducer, elbow, etc.

along the part the screw seat is placed to align the screw seat. Optional, otherwise an arbitrary vector will be constructed.

Created in NX10.0.0

License requirements: routing_base ("Routing Basic")

Parameters
alignVectorThe alignment vector along the part on which screw seat is placed.
unsafe void NXOpen.Routing.PlacePartBuilder.SetScrewSeatEnd ( NXOpen.Point3d  point)
inline

Sets a point in builder, which is required for final placement of screw seat.

This point is used for creating segments / constraints when finally placing the screw seat.

Created in NX8.0.0

License requirements: routing_base ("Routing Basic")

Parameters
pointThis is the internal point used in determining final position of screw seat placement.
unsafe void NXOpen.Routing.PlacePartBuilder.SetScrewSeatIntersectionPoint ( NXOpen.Point3d  intersectionPoint)
inline

Sets the final position of screw seat.

This is required in builder when doing finalize placement after (OK/Apply) .

Created in NX8.0.0

License requirements: routing_base ("Routing Basic")

Parameters
intersectionPointThe final position of screw seat placement.
unsafe void NXOpen.Routing.PlacePartBuilder.SetScrewSeatPlacement ( NXOpen.TaggedObject  startLocation,
NXOpen.TaggedObject  endLocation,
NXOpen.Point3d  startPoint,
NXOpen.Point3d  endPoint,
NXOpen.Expression  length,
NXOpen.Expression  angle 
)
inline

Sets the input parameters to be used for measurement holder screw seats.

Created in NX10.0.0

License requirements: routing_base ("Routing Basic")

Parameters
startLocationThe start port to determine screw seat placement.
endLocationThe end port to determine screw seat placement.
startPointThe start position to determine screw seat placement.
endPointThe end position to determine screw seat placement.
lengthThe length along the axis to place screw seat.
angleThe angle along the axis to place screw seat.
unsafe void NXOpen.Routing.PlacePartBuilder.UnloadPart ( )
inline

Update the loaded part with a new placement location and object.

Created in NX7.5.0

License requirements: routing_base ("Routing Basic")

unsafe void NXOpen.Routing.PlacePartBuilder.UpdatePlacementObj ( NXOpen.TaggedObject  placementObj,
NXOpen.Point3d  placementPos 
)
inline

Update the loaded part with a new placement location and object.

Created in NX7.5.0

License requirements: routing_base ("Routing Basic")

Parameters
placementObjNew object to attach to. Can bee NULL.
placementPosThe new location for the part.
unsafe void NXOpen.Routing.PlacePartBuilder.UpdateRoutingTemplateAttributes ( )
inline

Updates the Routing Template Attributes to AttributeHolder

Created in NX11.0.0

License requirements: routing_base ("Routing Basic")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.